Get a Deposit

Get a deposit by its unique identifier.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the deposit

Response

The deposit was retrieved
idstringRead-only
The unique identifier for this object.
payment_source_idstring
The unique identifier for the payment source that contains the money for the deposit.
statusenum
The status of the deposit.
Allowed values:
transferobject
A subhash containing information about the transfer associated with the deposit.
created_atstringformat: "date-time"
The date and time when the deposit was created.
updated_atstringformat: "date-time"
The date and time when the deposit was last updated.
settled_atstring or nullformat: "date-time"
The date and time when the deposit was settled.
returned_atstring or nullformat: "date-time"
The date and time when the deposit was returned.
propertieslist of objects or null
A list of properties assigned to the deposit.

Errors